Bug 1574001 - Review Request: golang-github-vividcortex-godaemon - Daemonize Go applications deviously
Summary: Review Request: golang-github-vividcortex-godaemon - Daemonize Go application...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:25 UTC by Robert-André Mauchin 🐧
Modified: 2018-06-14 18:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-19 21:22:36 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2018-05-02 16:25:12 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740604-golang-github-vividcortex-godaemon/golang-github-vividcortex-godaemon.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740604-golang-github-vividcortex-godaemon/golang-github-vividcortex-godaemon-0-0.1.20180413git3d9f6e0.fc29.src.rpm

Description:
Daemonize Go applications with exec() instead of fork().

You can't daemonize the usual way in Go. Daemonizing is a Unix concept that 
requires some specific things you can't do easily in Go. But you can still 
accomplish the same goals if you don't mind that your program will start 
copies of itself several times, as opposed to using fork() the way many 
programmers are accustomed to doing.

Fedora Account System Username: eclipseo

Comment 1 Jared Smith 2018-05-07 01:09:58 UTC
I have reviewed this package.

 . It conforms to the Fedora packaging guidelines
 . It builds cleanly in mock
 . The license is acceptable.

This package is APPROVED.

Comment 2 Robert-André Mauchin 🐧 2018-05-08 13:50:49 UTC
Thanks for the reviews!

Comment 3 Gwyn Ciesla 2018-05-08 13:58:44 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-vividcortex-godaemon

Comment 4 Fedora Update System 2018-05-09 12:45:51 UTC
golang-github-vividcortex-godaemon-0-0.1.20180508git3d9f6e0.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32e51d725f

Comment 5 Fedora Update System 2018-05-10 01:31:16 UTC
golang-github-vividcortex-godaemon-0-0.1.20180508git3d9f6e0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32e51d725f

Comment 6 Fedora Update System 2018-05-19 21:22:36 UTC
golang-github-vividcortex-godaemon-0-0.1.20180508git3d9f6e0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-05-26 15:56:58 UTC
golang-github-vividcortex-godaemon-0-0.1.20180508git3d9f6e0.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a4fb79412f

Comment 8 Fedora Update System 2018-05-26 20:37:42 UTC
golang-github-vividcortex-godaemon-0-0.1.20180508git3d9f6e0.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a4fb79412f

Comment 9 Fedora Update System 2018-06-14 18:15:25 UTC
golang-github-vividcortex-godaemon-0-0.1.20180508git3d9f6e0.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.